Name:           devscripts
Version:        2.15.9
Release:        2%{?dist}
Summary:        Scripts for Debian Package maintainers

License:        GPLv2+
URL:            https://packages.debian.org/sid/%{name}
Source0:        http://ftp.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz
# Fixes path to xsl-stylesheet manpages docbook.xsl
Patch0:         devscripts_docbook.patch
# Removes the debian-only --install-layout python-setuptools option
Patch1:         devscripts_install-layout.patch
# Install some additional man pages
Patch2:         devscripts_install-man.patch
# Use IPC::Run::run instead of Dpkg::IPC::spawn
Patch3:         devscripts_ipc-run.patch

# rpmdevtools < 8.4 bundled some of the scripts provided by this package
Conflicts:      rpmdevtools < 8.4

BuildRequires:  perl
BuildRequires:  perl(autodie)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Dpkg::Changelog::Debian)
BuildRequires:  perl(Dpkg::Changelog::Parse)
BuildRequires:  perl(Dpkg::Compression)
BuildRequires:  perl(Dpkg::Control)
BuildRequires:  perl(Dpkg::Control::Hash)
BuildRequires:  perl(Dpkg::Vendor)
BuildRequires:  perl(Dpkg::Version)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Encode::Locale)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(feature)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::DesktopEntry)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(filetest)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::Dir)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Net::SMTP)
BuildRequires:  perl(open)
BuildRequires:  perl(Parse::DebControl)
BuildRequires:  perl(Pod::Checker)
BuildRequires:  perl(Pod::Text)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Text::ParseWords)
BuildRequires:  perl(Text::Wrap)
BuildRequires:  perl(URI) >= 1.37
BuildRequires:  perl(URI::QueryParam)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)

BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt
BuildRequires:  po4a
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  /usr/bin/dpkg-buildflags
BuildRequires:  /usr/bin/dpkg-vendor
BuildRequires:  /usr/bin/dpkg-parsechangelog
BuildRequires:  pkgconfig(bash-completion)

Requires: 	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       dpkg-dev
Requires:       sensible-utils
# man for manpage-alert
Requires:       %{_bindir}/man

Requires: %{name}-minimal


%description
Scripts to make the life of a Debian Package maintainer easier.


%package minimal
Summary:        Minimal subset of devscripts

%description minimal
This package contains the following subset of the devscripts scripts:
- licensecheck
- checkbashisms


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"


%install
%make_install

# Install docs through %%doc
rm -rf %{buildroot}%{_datadir}/doc

# archpath requires tla (gnu-arch) or baz (bazaar), both of which are obsolete
# and the respective Fedora packages dead. See #1128503
rm %{buildroot}%{_bindir}/archpath %{buildroot}%{_mandir}/man1/archpath*

# whodepends requires configured deb repositories
rm %{buildroot}%{_bindir}/whodepends %{buildroot}%{_mandir}/man1/whodepends*

# Create symlinks like the debian package does
ln -s %{_bindir}/cvs-debi      %{buildroot}%{_bindir}/cvs-debc
ln -s %{_bindir}/debchange     %{buildroot}%{_bindir}/dch
ln -s %{_bindir}/debi          %{buildroot}%{_bindir}/debc
ln -s %{_bindir}/pts-subscribe %{buildroot}%{_bindir}/pts-unsubscribe
ln -s %{_mandir}/man1/debchange.1.gz     %{buildroot}%{_mandir}/man1/dch.1.gz
ln -s %{_mandir}/man1/pts-subscribe.1.gz %{buildroot}%{_mandir}/man1/pts-unsubscribe.1.gz


%files
%doc README
%license COPYING
%{_datadir}/bash-completion
%{_bindir}/*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}*.egg-info/
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{perl_vendorlib}/Devscripts
%exclude %{_bindir}/checkbashisms
%exclude %{_bindir}/licensecheck
%exclude %{_mandir}/man1/checkbashisms.1*
%exclude %{_mandir}/man1/licensecheck.1*

%files minimal
%license COPYING
%{_bindir}/checkbashisms
%{_bindir}/licensecheck
%{_mandir}/man1/checkbashisms.1*
%{_mandir}/man1/licensecheck.1*


%changelog
* Fri Oct 09 2015 Sandro Mani <manisandro@gmail.com> - 2.15.9-2
- Add devscripts_ipc-run.patch to remove dpkg-perl dependency on licensecheck

* Tue Oct 06 2015 Sandro Mani <manisandro@gmail.com> - 2.15.9-1
- Update to 2.15.9

* Mon Aug 03 2015 Sandro Mani <manisandro@gmail.com> - 2.15.8-1
- Update to 2.15.8

* Sat Aug 01 2015 Sandro Mani <manisandro@gmail.com> - 2.15.7-1
- Update to 2.15.7

* Sat Aug 01 2015 Sandro Mani <manisandro@gmail.com> - 2.15.6-2
- Fix licensecheck incorrectly detecting mime strings such as text/x-c++ as a binary file (#1249227)

* Wed Jul 29 2015 Sandro Mani <manisandro@gmail.com> - 2.15.6-1
- Update to 2.15.6

* Thu Jul 09 2015 Sandro Mani <manisandro@gmail.com> - 2.15.5-6
- Make licensecheck print a warning when scanned file is not a text file (#1240914)

* Fri Jun 26 2015 Sandro Mani <manisandro@gmail.com> - 2.15.5-5
- Create symlinks like the debian package does (#1236122)

* Wed Jun 17 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.15.5-4
- Add: "Requires: perl(:MODULE_COMPAT_...)"

* Wed Jun 17 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.15.5-3
- Fix FTBFS.
- Eliminate libvfork, PKGLIBDIR (Abandoned upstream).
- Rework perl-BRs.
- Reflect upstream installing perl-modules into perl_vendordir.
- Reflect upstream installing bash-completion into /usr/share/bash-completion.
- BR: /usr/bin/dpkg-buildflags, /usr/bin/dpkg-vendor, /usr/bin/dpkg-parsechangelog.
- BR: pkgconfig(bash-completion).
- Remove archpath, whodepends's man-pages.
- Rebase patches.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Sandro Mani <manisandro@gmail.com> - 2.15.5-1
- Update to 2.15.5

* Tue Apr 28 2015 Sandro Mani <manisandro@gmail.com> - 2.15.4-1
- Update to 2.15.4

* Mon Apr 13 2015 Sandro Mani <manisandro@gmail.com> - 2.15.3-1
- Update to 2.15.3

* Fri Apr 03 2015 Sandro Mani <manisandro@gmail.com> - 2.15.2-1
- Update to 2.15.2
- Don't install whodepends (#1185511)

* Fri Jan 02 2015 Sandro Mani <manisandro@gmail.com> - 2.15.1-1
- Update to 2.15.1

* Thu Dec 04 2014 Sandro Mani <manisandro@gmail.com> - 2.14.11-1
- Update to 2.14.11

* Wed Oct 15 2014 Sandro Mani <manisandro@gmail.com> - 2.14.10-1
- Update to 2.14.10

* Mon Oct 13 2014 Sandro Mani <manisandro@gmail.com> - 2.14.9-1
- Update to 2.14.9

* Sat Oct 11 2014 Sandro Mani <manisandro@gmail.com> - 2.14.8-1
- Update to 2.14.8, fixes CVE-2014-1833 (#1059947)

* Fri Sep 26 2014 Sandro Mani <manisandro@gmail.com> - 2.14.7-1
- Update to 2.14.7

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Aug 11 2014 Sandro Mani <manisandro@gmail.com> - 2.14.6-2
- Remove /usr/bin/archpath from package (#1128503)

* Wed Aug 06 2014 Sandro Mani <manisandro@gmail.com> - 2.14.6-1
- Update to 2.14.6

* Wed Jun 11 2014 Sandro Mani <manisandro@gmail.com> - 2.14.5-1
- Update to 2.14.5

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Sandro Mani <manisandro@gmail.com> - 2.14.4-1
- Update to 2.14.4

* Thu May 29 2014 Sandro Mani <manisandro@gmail.com> - 2.14.3-1
- Update to 2.14.3

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 2.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon May 12 2014 Sandro Mani <manisandro@gmail.com> - 2.14.2-1
- Update to 2.14.2

* Thu Feb 27 2014 Sandro Mani <manisandro@gmail.com> - 2.14.1-2
- Require sensible-utils (rhbz#1067869)

* Sun Jan 26 2014 Sandro Mani <manisandro@gmail.com> - 2.14.1-1
- Update to 2.14.1

* Wed Dec 25 2013 Sandro Mani <manisandro@gmail.com> - 2.13.9-1
- Update to 2.13.9
- Fixes CVE-2013-7085 (rhbz#1040949)

* Wed Dec 11 2013 Sandro Mani <manisandro@gmail.com> - 2.13.8-1
- Update to 2.13.8

* Wed Dec 11 2013 Sandro Mani <manisandro@gmail.com> - 2.13.5-2
- Add upstream patch to fix arbitrary command execution when using
  USCAN_EXCLUSION (rhbz#1040266, debian#731849)

* Thu Dec 05 2013 Sandro Mani <manisandro@gmail.com> - 2.13.5-1
- Update to 2.13.5

* Sun Oct 20 2013 Sandro Mani <manisandro@gmail.com> - 2.13.4-5
- Honour RPM_LD_FLAGS

* Sat Oct 19 2013 Sandro Mani <manisandro@gmail.com> - 2.13.4-4
- Honour optflags
- Improve -minimal subpackage description

* Thu Oct 17 2013 Sandro Mani <manisandro@gmail.com> - 2.13.4-3
- Split scripts used by rpm developers into a subpackage
- Install some additional manpages

* Mon Oct  7 2013 Ville Skyttä <ville.skytta@iki.fi> - 2.13.4-2
- Add dependency on man for manpage-alert.

* Mon Oct 07 2013 Sandro Mani <manisandro@gmail.com> - 2.13.4-1
- Update to 2.13.4
- Drop devscripts_item.patch
- Drop devscripts_spurious-pod.patch

* Sat Sep 21 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-5
- Fix typo builroot -> buildroot
- Require perl modules instead of the providing packages

* Fri Sep 20 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-4
- Conflict with rpmdevtools < 8.4

* Fri Sep 20 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-3
- Revert: Require rpmdevtools and drop scripts which are in rpmdevtools
- Add conflicts from rpmdevtools < 8.3-6

* Thu Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-2
- Require rpmdevtools and drop scripts which are in rpmdevtools

* Thu Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 2.13.3-1
- Initial package
